=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-05-27 17:57:23 +0000
+++ bzrlib/builtins.py	2011-05-31 01:50:47 +0000
@@ -3879,8 +3879,10 @@
     committed to record the result of the merge.
 
     merge refuses to run if there are any uncommitted changes, unless
-    --force is given. The --force option can also be used to create a
-    merge revision which has more than two parents.
+    --force is given.  If --force is given, then the changes from the source 
+    will be merged with the changes in the current working tree.  The 
+    --force option can also be used to create a merge revision which has 
+    more than two parents.
 
     If one would like to merge changes from the working tree of the other
     branch without merging any committed revisions, the --uncommitted option

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-29 16:22:46 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-31 01:50:47 +0000
@@ -59,6 +59,9 @@
 
 .. Improved or updated documentation.
 
+* Improve documentation of ``bzr merge --force``.
+  (Neil Martinsen-Burrell, #767307)
+
 API Changes
 ***********
 

